# Created by pyp2rpm-3.2.3
%global pypi_name fedmod

Name:           python-%{pypi_name}
Version:        0.0.1
Release:        1%{?dist}
Summary:        Utilities for generating & maintaining modulemd files

License:        MIT
URL:            https://pagure.io/modularity/fedmod
Source0:        https://files.pythonhosted.org/packages/source/f/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
fedmod provides tools for converting existing RPMs (most notably metapackages)
into module definitions in Fedora's modulemd format.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:       python3-attrs
Requires:       python3-click
Requires:       python3-lxml
Requires:       python3-modulemd
Requires:       python3-requests
Requires:       python3-requests-toolbelt
Requires:       python3-setuptools
%description -n python3-%{pypi_name}
fedmod provides tools for converting existing RPMs (most notably metapackages)
into module definitions in Fedora's modulemd format.


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install
cp %{buildroot}/%{_bindir}/fedmod %{buildroot}/%{_bindir}/fedmod-%{python3_version}
ln -s %{_bindir}/fedmod-%{python3_version} %{buildroot}/%{_bindir}/fedmod-3


%files -n python3-%{pypi_name}
%doc 
%{_bindir}/fedmod
%{_bindir}/fedmod-3
%{_bindir}/fedmod-%{python3_version}
%{python3_sitelib}/_fedmod
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Tue Oct 31 2017 mockbuilder - 0.0.1-1
- Initial package.